"""
Some preconfigured ArgumentParser
"""

from argparse import ArgumentParser

def MyArgumentParser(default_fig_dir='./figures', default_show_plots=False, **kwargs):
    """
    A somewhat preconfigured ArgumentParser

    Set show_plots=True to by default enable showing plots.
    Likewise, set fig_dir=None to by default disable saving figures.
    """
    parser = ArgumentParser(**kwargs)

    # Whether to show plots
    parser.add_argument('--show-plots', action='store_true')
    parser.add_argument('--no-show-plots', dest='show-plots', action='store_false')
    parser.set_defaults(show_plots=default_show_plots)

    # Figures directory
    parser.add_argument('--fig-dir', type=str, default=default_fig_dir)

    return parser
